/*
 * Class PROCEDURE [G#1, G#2]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_239 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_239 [] = {0xFF01,237,238,0xFFF8,1,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_2_239 [] = {0xFF01,238,0xFFF8,1,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_3_239 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_239 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_239 [] = {0xFF01,238,0xFFF8,1,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_6_239 [] = {0xFF01,238,0xFFF8,1,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_7_239 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_239 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_239 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_239 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_239 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_239 [] = {238,0xFFF8,1,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_13_239 [] = {0xFF01,238,0xFFF8,1,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_14_239 [] = {0xFF01,217,0xFFFF};
static const EIF_TYPE_INDEX egt_15_239 [] = {261,0xFF01,225,0xFFFF};
static const EIF_TYPE_INDEX egt_16_239 [] = {0xFF01,574,0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_17_239 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_18_239 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_19_239 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_20_239 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_21_239 [] = {0xFF01,0,0xFFFF};
static const EIF_TYPE_INDEX egt_22_239 [] = {0xFF01,243,0,0xFFFF};
static const EIF_TYPE_INDEX egt_23_239 [] = {0xFFF9,0,174,0xFFFF};
static const EIF_TYPE_INDEX egt_24_239 [] = {0xFFF9,0,174,0xFFFF};
static const EIF_TYPE_INDEX egt_25_239 [] = {0xFF01,237,0,0xFFFF};
static const EIF_TYPE_INDEX egt_26_239 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_27_239 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_28_239 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_29_239 [] = {0xFF01,846,206,0xFFFF};
static const EIF_TYPE_INDEX egt_30_239 [] = {0xFF01,276,228,206,0xFFFF};
static const EIF_TYPE_INDEX egt_31_239 [] = {0xFF01,0,0xFFFF};
static const EIF_TYPE_INDEX egt_32_239 [] = {0xFF01,0xFFF9,0,174,0xFFFF};
static const EIF_TYPE_INDEX egt_33_239 [] = {0xFF01,237,0,0xFFFF};
static const EIF_TYPE_INDEX egt_34_239 [] = {0xFF02,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_35_239 [] = {0xFF01,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_36_239 [] = {0xFFF9,0,174,0xFFFF};
static const EIF_TYPE_INDEX egt_37_239 [] = {285,206,0xFFFF};
static const EIF_TYPE_INDEX egt_38_239 [] = {285,206,0xFFFF};
static const EIF_TYPE_INDEX egt_39_239 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_40_239 [] = {0xFF02,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_41_239 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_42_239 [] = {0xFFF8,2,0xFFFF};


static const struct desc_info desc_239[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_239), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_239), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 11161, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_239), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11168, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_239), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_239), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_239), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_239), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_239), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_239), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_239), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_239), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_239), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_239), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_239), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1158, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1159, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_239), 1160, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1149, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_239), 1150, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_239), 1151, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x016D /*182*/), 1152, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x016D /*182*/), 1153, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_239), 1154, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_239), 1155, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_239), 1156, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_239), 1157, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11156, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8401, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2680, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2681, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2682, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2683, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2684, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2685, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2686, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2662, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2663, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2664, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2665, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2666, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2667, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2668, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2669, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2670, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2671, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2672, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2673, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2674, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2675, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2676, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2677, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2678, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2679, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2687, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2688, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2689, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_239), 2690, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_239), 2691, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_239), 2692, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_239), 2693, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_239), 2694, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2695, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2696, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2697, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2698, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2699, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2700, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_239), 2701, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_239), 2702, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2703, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2704, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2705, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2706, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01C9 /*228*/), 2707, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_239), 2708, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2709, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2710, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2711, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2712, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2713, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_239), 2714, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_239), 2715, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_239), 2716, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_239), 2717, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_239), 2718, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2719, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11190, 0xFFFFFFFF},
	{EIF_GENERIC(egt_34_239), 11191, 0},
	{EIF_NON_GENERIC(0x01 /*0*/), 11192, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 11157, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 11158, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_239), 11159, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 11160, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 11162, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 11163, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 11164, 16},
	{EIF_NON_GENERIC(0x019D /*206*/), 11165, 20},
	{EIF_GENERIC(NULL), 11166, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11167, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11194, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11193, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11169, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11170, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_239), 11171, 4},
	{EIF_NON_GENERIC(0x019D /*206*/), 11172, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 11173, 32},
	{EIF_NON_GENERIC(0x01AF /*215*/), 11174, 36},
	{EIF_GENERIC(egt_37_239), 11175, 8},
	{EIF_NON_GENERIC(0x01AF /*215*/), 11176, 40},
	{EIF_NON_GENERIC(0x019D /*206*/), 11177, 24},
	{EIF_NON_GENERIC(0x017F /*191*/), 11178, 17},
	{EIF_NON_GENERIC(0x019D /*206*/), 11179, 28},
	{EIF_GENERIC(NULL), 11180, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11181, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11182, 0xFFFFFFFF},
	{EIF_GENERIC(egt_38_239), 11183, 12},
	{EIF_NON_GENERIC(0x019D /*206*/), 11184, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11185, 0xFFFFFFFF},
	{EIF_GENERIC(egt_39_239), 11186, 0xFFFFFFFF},
	{EIF_GENERIC(egt_40_239), 11187, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11188, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 11189, 0xFFFFFFFF},
	{EIF_GENERIC(egt_41_239), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_42_239), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11195, 0xFFFFFFFF},
};
void Init239(void)
{
	IDSC(desc_239, 0, 238);
	IDSC(desc_239 + 1, 1, 238);
	IDSC(desc_239 + 32, 278, 238);
	IDSC(desc_239 + 44, 248, 238);
	IDSC(desc_239 + 46, 82, 238);
	IDSC(desc_239 + 71, 262, 238);
	IDSC(desc_239 + 104, 6, 238);
	IDSC(desc_239 + 142, 7, 238);
}


#ifdef __cplusplus
}
#endif
